/*
 * [The "BSD licence"]
 * Copyright (c) 2012 DataTables4j
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 * notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * 3. Neither the name of DataTables4j nor the names of its contributors 
 * may be used to endorse or promote products derived from this software 
 * without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package com.github.datatables4j.core.api.constants;

/**
 * DataTables4j configuration related constants.
 * 
 * @author Thibault Duchateau
 */
public class ConfConstants {

	public static final String DT_DATASOURCE_CLASS = "datasource.class";
	public static final String DT_AGGREGATOR_ENABLE = "aggregator.enable";
	public static final String DT_AGGREGATOR_MODE = "aggregator.mode";
	public static final String DT_COMPRESSOR_ENABLE = "compressor.enable";
	public static final String DT_COMPRESSOR_MODE = "compressor.mode";
	public static final String DT_COMPRESSOR_CLASS = "compressor.class";
	public static final String DT_COMPRESSOR_MUNGE = "compressor.munge";
	public static final String DT_COMPRESSOR_PRESERVE_SEMI = "compressor.preserveSemiColons";
	public static final String DT_COMPRESSOR_DISABLE_OPTI = "compressor.disableOptimizations";
	public static final String DT_EXPORT_TYPES = "export.types";
	public static final String DT_EXPORT_CSV_DEFAULT_CLASS = "export.csv.default.class";
	public static final String DT_EXPORT_XML_DEFAULT_CLASS = "export.xml.default.class";
	public static final String DT_EXPORT_XLS_DEFAULT_CLASS = "export.xls.default.class";
	public static final String DT_EXPORT_XLSX_DEFAULT_CLASS = "export.xlsx.default.class";
	public static final String DT_EXPORT_PDF_DEFAULT_CLASS_1 = "export.pdf.default.class.1";
	public static final String DT_EXPORT_PDF_DEFAULT_CLASS_2 = "export.pdf.default.class.2";
	public static final String DT_EXPORT_CSV_CLASS = "export.csv.class";
	public static final String DT_EXPORT_XML_CLASS = "export.xml.class";
	public static final String DT_EXPORT_XLS_CLASS = "export.xls.class";
	public static final String DT_EXPORT_XLSX_CLASS = "export.xlsx.class";
	public static final String DT_EXPORT_PDF_CLASS = "export.pdf.class";
}
